
Discovery - Bug #23224

Update subnets from facts breaks discovery

04/11/2018 12:46 PM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee: Ido Kanner   

Category: Discovery plugin   

Target version: Discovery Plugin 13.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

discovery/pull/436

  

Description

Setting "Update subnets from facts" makes discovery impossible, error is "Unable to assign subnet, primary interface is missing IP

address" with warning "Subnet is not defined for host's organization" in logs.

Related issues:

Related to Foreman - Feature #23768: Fact parser flag keep_subnet to prevent ... Closed 06/01/2018

Associated revisions

Revision ae5b4b94 - 06/20/2018 08:17 AM - Lukas Zapletal

Fixes #23224 - keep_subnet flag to prevent subnet override (#436)

History

#1 - 04/17/2018 11:23 AM - Ido Kanner

- Assignee set to Ido Kanner

#2 - 04/23/2018 07:29 AM - Ido Kanner

Just to make sure, it is about the following request:

PUT /discovered_hosts/:id/

 Am I correct with my understanding?

#3 - 04/23/2018 07:33 AM - Lukas Zapletal

No, that endpoint is actually unused we should consider removing it in V3. The one you are lookging for is: /api/v2/discovered_hosts/facts

https://github.com/theforeman/foreman_discovery/blob/develop/extra/discover-host

Try the script yourself, will discovery you a "fake" host, you can provision the fake host if you disable "discovery_reboot" option in administer settings.

#4 - 04/25/2018 07:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_discovery/pull/429 added

#5 - 04/25/2018 08:43 AM - Lukas Zapletal

- Pull request deleted (https://github.com/theforeman/foreman_discovery/pull/429)

#6 - 05/31/2018 08:03 AM - Lukas Zapletal

- Priority changed from Normal to High

Priority bump: https://community.theforeman.org/t/discovery-is-failed-erf-42-1064/9837/5

#7 - 05/31/2018 09:04 AM - Lukas Zapletal

05/20/2024 1/2

https://github.com/theforeman/foreman_discovery/blob/develop/extra/discover-host
https://community.theforeman.org/t/discovery-is-failed-erf-42-1064/9837/5


So it not like the setting breaks discovery, this is because your subnet is not in hosts taxonomy. Can you check please? For example if you discover a

host that does belong to subnet with org A and there is one or more NICs detected in subnet which don't have org A, this error is thrown.

#8 - 06/01/2018 11:40 AM - Lukas Zapletal

- Related to Feature #23768: Fact parser flag keep_subnet to prevent subnet override during fact upload added

#9 - 06/01/2018 11:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_discovery/pull/436 added

#10 - 06/20/2018 09:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_discovery|ae5b4b9430bded576a19fda6d14ab18d868d414e.

#11 - 07/12/2018 04:49 PM - Lukas Zapletal

- Target version set to Discovery Plugin 13.0

- Triaged set to No
